org.richfaces.event

## Interface ItemChangeSource

- All Known Implementing Classes:
    AbstractAccordion, AbstractCollapsiblePanel, AbstractPanelMenu, AbstractTabPanel, AbstractTogglePanel, UIAccordion, UICollapsiblePanel, UIPanelMenu, UITabPanel, UITogglePanel

      public interface ItemChangeSource

  Since:
    Jul 20, 2010
  Author:
    akolonitsky

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItemChangeListener(ItemChangeListener listener)` Add a new `ItemChangeListener` to the set of listeners interested in being notified when `ItemChangeEvent`s occur.
    `ItemChangeListener[]` | `getItemChangeListeners()` Return the set of registered `ItemChangeListener`s for this instance.
    `void` | `removeItemChangeListener(ItemChangeListener listener)` Remove an existing `ItemChangeListener` (if any) from the set of listeners interested in being notified when `ItemChangeEvent`s occur.

- - ### Method Detail

    - #### addItemChangeListener

          void addItemChangeListener(ItemChangeListener listener)

      Add a new `ItemChangeListener` to the set of listeners interested in being notified when `ItemChangeEvent`s occur.

      Parameters:
        `listener` - The `ItemChangeListener` to be added
      Throws:
        `NullPointerException` - if `listener` is `null`

    - #### getItemChangeListeners

          ItemChangeListener[] getItemChangeListeners()

      Return the set of registered `ItemChangeListener`s for this instance. If there are no registered listeners, a zero-length array is returned.

    - #### removeItemChangeListener

          void removeItemChangeListener(ItemChangeListener listener)

      Remove an existing `ItemChangeListener` (if any) from the set of listeners interested in being notified when `ItemChangeEvent`s occur.

      Parameters:
        `listener` - The `ItemChangeListener` to be removed
      Throws:
        `NullPointerException` - if `listener` is `null`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.